Subject: problem with git grep -P

From: Zbigniew Jędrzejewski-Szmek <[email-masked]>
Date: Wed, 15 Feb 2012 14:15:00 +0100

Hi,
I'm not getting output from git grep -P. Simplified test case:

$ git grep -P '^ ' t/t4012-diff-binary.sh
(nothing)

$ git grep -E '^ ' t/t4012-diff-binary.sh
t/t4012-diff-binary.sh: a |    2 +-
t/t4012-diff-binary.sh: b |  Bin
t/t4012-diff-binary.sh: c |    2 +-
t/t4012-diff-binary.sh: d |  Bin
t/t4012-diff-binary.sh: 4 files changed, 2 insertions(+), 2 deletions(-)
t/t4012-diff-binary.sh: binfile  |   Bin 0 -> 1026 bytes
t/t4012-diff-binary.sh: textfile | 10000 +++++++++++++++++++++++++++++++

I would expect -P to give the same results as -E.

Am I missing something special about pcre?

$ git --version
git version 1.7.9.5.g1210a
(AFAICT this hasn't changed since grep -P was merged)

I have libpcre3 8.12-4 from debian.

--
Zbyszek